import request from '@/utils/request'

// 日计划管理- 查询列表
export function listDailyPlanAPI(query) {
    return request({
        url: '/dayPlan/getDayPlanList',
        method: 'GET',
        params: query,
    })
}

// 日计划管理- 新增
export function addDailyPlanAPI(data) {
    return request({
        url: '/dayPlan/addDayPlan',
        method: 'POST',
        data,
    })
}

// 日计划管理- 新增弹框内获取的计划列表
export function listDailyPlanPopupAPI(query) {
    return request({
        url: '/monthlyPlan/getMonthlyPlanLists',
        method: 'GET',
        params: query,
    })
}

// 日计划管理- 修改
export function updateDailyPlanAPI(data) {
    return request({
        url: '/dayPlan/updateDayPlan',
        method: 'POST',
        data,
    })
}

// 日计划管理- 删除
export function delDailyPlanAPI(data) {
    return request({
        url: `/dayPlan/delDayPlan`,
        method: 'POST',
        data,
    })
}

// 日计划管理- 获取日计划详情
export function getDailyPlanDetailAPI(data) {
    return request({
        url: '/dayPlan/getDayPlanById',
        method: 'GET',
        params: data,
    })
}
